import React, { Suspense } from 'react';
import type { Metadata } from 'next';
import { useTranslations } from 'next-intl';
import { SessionsAll } from '../../../../../components/Account';

export const metadata: Metadata = {
    title: 'Bbuddy - Account - Sessions',
    description: 'Bbuddy desc sessions'
};

export default function Sessions({ params: { locale } }: { params: { locale: string } }) {
    const t = useTranslations('Account.Sessions');

    return (
        <Suspense fallback={<p>Loading...</p>}>
            <SessionsAll locale={locale} />
        </Suspense>
    );
}
