'use client';

import { ReactNode, useEffect } from 'react';
import { redirect, notFound } from 'next/navigation';
import { useLocalStorage } from '../../../hooks/useLocalStorage';
import { AUTH_TOKEN_KEY } from '../../../constants/common';

export default function AccountLayout({ children }: { children: ReactNode }) {
    const [token] = useLocalStorage(AUTH_TOKEN_KEY, '');

    useEffect(() => {
        if(!token){
            notFound();
        }
    }, []);

    return children;
};
