'use client'

import React, { useState } from 'react';
import { SessionDetails } from './SessionDetails';
import { SessionsTabs } from './SessionsTabs';

export const SessionsAll = ({ locale }: { locale: string }) => {
    const [customSession, setCustomSession] = useState<number | undefined>();

    return customSession ? (
        <SessionDetails
            locale={locale}
            sessionId={customSession}
            goBack={() => setCustomSession(undefined)}
        />
    ) : (
        <SessionsTabs
            locale={locale}
            updateSession={setCustomSession}
        />
    );
};
